Uploaded image for project: 'Mesos'
  1. Mesos
  2. MESOS-7672

Python interface module depends on google-common which is not used

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 0.24.0
    • Fix Version/s: None
    • Component/s: python api
    • Labels:

      Description

      Currently the Python interface module explicitly depends on google-common, see src/python/interface/setup.py.in

          'install_requires': [ 'google-common>=0.0.1', 'protobuf>=3.3.0,<4' ],
      

      This was added in b426d5adca as a workaround, https://reviews.apache.org/r/37081/#comment148768.

      We should clean up the dependencies here to make sure we only introduce dependencies we require ourself.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              bbannier Benjamin Bannier
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: